LongSumReducer (Hadoop 0.20.1+169.88 API)
Date: 2010-05-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib
Class LongSumReducer<K>

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase
          org.apache.hadoop.mapred.lib.LongSumReducer<K>

All Implemented Interfaces:
  Closeable, JobConfigurable, Reducer<K,LongWritable,K,LongWritable>

Deprecated. Use `LongSumReducer` instead.

    @Deprecated
    public class LongSumReducer<K>

extends MapReduceBase
implements Reducer<K,LongWritable,K,LongWritable>

A `Reducer` that sums long values.

Constructor Summary
`LongSumReducer()` Deprecated.

Method Summary
`void` | `reduce(K key, Iterator<LongWritable> values, OutputCollector<K,LongWritable> output, Reporter reporter)` Deprecated. Reduces values for a given key.

Methods inherited from class org.apache.hadoop.mapred.MapReduceBase
`close, configure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.JobConfigurable
`configure`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### LongSumReducer

    public LongSumReducer()

  Deprecated.

Method Detail

### reduce

    public void reduce(K key,
                       Iterator<LongWritable> values,
                       OutputCollector<K,LongWritable> output,
                       Reporter reporter)
                throws IOException

  Deprecated.
  Description copied from interface: `Reducer`
  Reduces values for a given key.

  The framework calls this method for each `<key, (list of values)>` pair in the grouped inputs. Output values must be of the same type as input values. Input keys must not be altered. The framework will reuse the key and value objects that are passed into the reduce, therefore the application should clone the objects they want to keep a copy of. In many cases, all values are combined into zero or one value.

  Output pairs are collected with calls to `OutputCollector.collect(Object,Object)`.

  Applications can use the `Reporter` provided to report progress or just indicate that they are alive. In scenarios where the application takes an insignificant amount of time to process individual key/value pairs, this is crucial since the framework might assume that the task has timed-out and kill that task. The other way of avoiding this is to set mapred.task.timeout to a high-enough value (or even zero for no time-outs).

  Specified by:
    `reduce` in interface `Reducer<K,LongWritable,K,LongWritable>`
  Parameters:
    `key` - the key.
    `values` - the list of values to reduce.
    `output` - to collect keys and combined values.
    `reporter` - facility to report progress.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation